# Alumni
[![Build Status](https://teamcity.joethei.xyz/app/rest/builds/buildType:(id:Studium_Programming_DigiHelfer_Alumni)/statusIcon)](https://teamcity.joethei.xyz/viewType.html?buildTypeId=Studium_Programming_DigiHelfer_Alumni&guest=1)

---

## [Demo](https://test.joethei.de)
Login zum einsehen der Daten ist unter `login.php` mit den Zugangsdaten `test:test`

## Installation

- eine bereits fertig gebaute Version kann [hier](https://teamcity.joethei.xyz/repository/downloadAll/Studium_Programming_DigiHelfer_Alumni/.lastSuccessful/artifacts.zip) heruntergeladen werden, diese wird einmal wöchentlich automatisch aktualisiert.
- oder den Quellcode herunterladen und die Abhängigkeiten mit [Composer](https://getcomposer.org/) installieren.

Die dabei erhaltenen Dateien können dann auf einen Webserver hochgeladen werden.


## Konfiguration

Die Konfiguration muss vor der ersten Verwendung angepasst werden,
dazu die entsprechenden Werte in der `config.ini.php.sample` anpassen und in `config.ini.php` umbenennen.

### Datenbank
zur Speicherung der Daten wird eine MySQl Datenbank verwendet, die Zugangsdaten müssen
in Konfiguration angegeben werden.
Zusätzlich müssen die folgenden Tabellen erstellt werden:
```mysql
create table entries(id bigint auto_increment primary key, name varchar(255), mail varchar(255),
                     year int(4), birthday date, verify bool, vocation varchar(255), creation DATE,
                     location varchar(100), phone varchar(50)
);

create table verify(id bigint primary key, uuid VARCHAR(36),foreign key verify(id) REFERENCES entries(id));

CREATE TRIGGER before_insert_verify BEFORE INSERT ON verify FOR EACH ROW SET new.uuid = uuid();
```

### Mail Server
Der Mail Server wird verwendet um Bestätigungs E-Mails zu versenden und muss angegeben werden.

Der Konfigurationswert `url` wird dabei zu Generierung des Bestätigungslinks verwendet.