<?php
require_once 'general.php';

returnHeader();

$config = getConfig();

$minDate = date("m-d-Y", strtotime("-120 years"));
$maxDate = date("m-d-Y", strtotime("-10 years"));

?>

    <div class="container">
        <div class="columns">
            <div class="column col-2"></div>
            <div class="column col-8">
                <div class="columns">
                    <div class="column col-2"></div>
                    <div class="column col-8">
                        <img class="img-responsive" src="<?php echo $config['logo_url'] ?>" alt="Logo der Schule"/>
                    </div>
                    <div class="column col-2"></div>
                </div>

                <p class="text-center"><?php echo $config['description'] ?></p>

                <form action="submit.php" method="post">

                    <div class="form-group">
                        <label class="form-label" for="name">Name</label>
                        <input type="text" name="name" id="name" required="required" class="form-input" placeholder="Erforderlich">
                    </div>

                    <div class="form-group">
                        <label class="form-label" for="email">E-Mail Adresse</label>
                        <input type="email" name="email" id="email" required="required" class="form-input" placeholder="Erforderlich">
                    </div>

                    <div class="form-group">
                        <label class="form-label" for="phone">Telefonnummer</label>
                        <input type="tel" name="phone" id="phone"  class="form-input" placeholder="Optional">
                    </div>

                    <div class="form-group">
                        <label class="form-label" for="location">Wohnort</label>
                        <input type="text" name="location" id="location" class="form-input" placeholder="Optional">
                    </div>

                    <div class="form-group">
                        <label class="form-label" for="year">Abschlussjahrgang</label>
                        <select name="year" id="year" required="required" class="form-select">
                            <option disabled="disabled" selected="selected" hidden="hidden">---</option>
                            <?php
                            for ($i = date("Y") - 80; $i <= date("Y"); $i++) {
                                ?>
                                <option><?php echo $i ?></option>
                                <?php
                            }
                            ?>
                        </select>
                    </div>
                    <div class="form-group">
                        <label class="form-label" for="birthday">Geburtstag</label>
                        <input type="date" name="birthday" id="birthday" required="required" pattern="\d{2}-\d{2}-\d{4}" min="<?php echo $minDate ?>" max="<?php echo $maxDate ?>" class="form-input">
                    </div>

                    <div class="form-group">
                        <label class="form-label" for="vocation">Tätigkeit</label>
                        <textarea name="vocation" id="vocation" required="required" class="form-input" placeholder="Erforderlich"></textarea>
                    </div>

                    <div class="form-group">
                        <label class="form-checkbox">
                            <input type="checkbox" id="privacy" name="privacy" required="required">
                            <i class="form-icon"></i>Ich akzeptiere hiermit<a
                                    href="<?php echo $config['privacy_url'] ?>" target="_blank"
                                    class="font-semibold text-black border-b-2 border-gray-200 hover:border-gray-500">
                                die Datenschutzerklärung.</a>
                        </label>
                    </div>

                    <button type="submit" class="btn">Eintragen</button>

                </form>
            </div>
            <div class="column col-2"></div>
        </div>
    </div>

<br>

<?php

returnFooter();